Name:           acer_acpi
Version:        0.6.1
Release:        1%{?dist}
Summary:        Linux kernel module to allow control of Acer Laptops

Group:          System Environment/Kernel
License:        GPL
URL:            http://code.google.com/p/aceracpi/
Source0:        http://aceracpi.googlecode.com/files/acer_acpi-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	acer_acpi-kmod-common = %{version}
Requires:	acer_acpi-kmod >= %{version}
BuildArch:	noarch   

%description
Acer_acpi creates entries under /proc/acpi/acer, which enable you to control 
the wireless LAN card, inbuilt Bluetooth adapter, and mail LED of your laptop.
This is the common part.

%prep
%setup -q -c
install -pm 0644 %{version}/* .


%build

%install
rm -rf $RPM_BUILD_ROOT
cat > acer_acpi.modprobe <<EOF
# acer_acpi modprobe for ACER Laptops on x86_64
options acer_acpi verbose=1 led=1
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 acer_acpi.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/acer_acpi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/modprobe.d/acer_acpi


%changelog
* Sun Jul 15 2007 kwizart < kwizart at gmail.com > - 0.6.1-1
- Update to 0.6.1

* Mon Jun  4 2007 kwizart < kwizart at gmail.com > - 0.5-1
- Update to 0.5

* Wed May  2 2007 kwizart < kwizart at gmail.com > - 0.4-1
- Update to 0.4

* Mon Dec 04 2006 kwizart < kwizart at gmail.com > - 0.3.1-1.fc6
- Initial Release.
